umbrello: StatusBarToolButton Class Reference

umbrello 2.38.5 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Private Attributes | List of all members
StatusBarToolButton Class Reference

`#include <statusbartoolbutton.h>`

Inheritance diagram for StatusBarToolButton:

## Public Types
enum | GroupPosition { NotGrouped = 0 , GroupLeft = 1 , GroupRight = 2 , GroupCenter = 3 }

## Public Member Functions
| StatusBarToolButton (QWidget *parent=0)
virtual QSize | minimumSizeHint () const
virtual QSize | sizeHint () const
void | setGroupPosition (StatusBarToolButton::GroupPosition groupPosition)

## Protected Member Functions
virtual void | paintEvent (QPaintEvent *event)

## Private Attributes
GroupPosition | mGroupPosition

## Detailed Description

A thin tool button which can be grouped with another and look like one solid bar:

(button1 | button2)

## Member Enumeration Documentation

## ◆ GroupPosition

enum StatusBarToolButton::GroupPosition

Enumerator
NotGrouped |
GroupLeft |
GroupRight |
GroupCenter |

## Constructor & Destructor Documentation

## ◆ StatusBarToolButton()

StatusBarToolButton::StatusBarToolButton | ( | QWidget * | parent = 0 | ) |
| explicit

## Member Function Documentation

## ◆ minimumSizeHint()

QSize StatusBarToolButton::minimumSizeHint | ( |  | ) | const
| virtual

## ◆ paintEvent()

void StatusBarToolButton::paintEvent | ( | QPaintEvent * | event | ) |
| protectedvirtual

## ◆ setGroupPosition()

void StatusBarToolButton::setGroupPosition | ( | StatusBarToolButton::GroupPosition | groupPosition | ) |

## ◆ sizeHint()

QSize StatusBarToolButton::sizeHint | ( |  | ) | const
| virtual

## Member Data Documentation

## ◆ mGroupPosition

GroupPosition StatusBarToolButton::mGroupPosition
| private

The documentation for this class was generated from the following files:

- umbrello/umlwidgets/statusbartoolbutton.h
- umbrello/umlwidgets/statusbartoolbutton.cpp